## fgallery 1.9.1%2Bds

=== Makefile ===
# Paths
DESTDIR :=
PREFIX := /usr/local

DATAROOTDIR = $(PREFIX)/share
DATADIR = $(DATAROOTDIR)/fgallery
BINDIR = $(PREFIX)/bin
MANDIR = $(DATAROOTDIR)/man
MAN1DIR = $(DATAROOTDIR)/man/man1
DOCDIR = $(DATAROOTDIR)/doc/fgallery
APPDIR = $(DATAROOTDIR)/applications

# Rules
.PHONY: install install_fcaption
install:
	install -d $(DESTDIR)$(BINDIR)
	install -p -t $(DESTDIR)$(BINDIR) fgallery

	install -d $(DESTDIR)$(DATADIR)
	cp -L -R view $(DESTDIR)$(DATADIR)

	install -d $(DESTDIR)$(MAN1DIR)
	install -p -t $(DESTDIR)$(MAN1DIR) fgallery.1

	install -d $(DESTDIR)$(DOCDIR)
	install -p -t $(DESTDIR)$(DOCDIR) NEWS.rst README.rst COPYING.txt
	
install_fcaption:
	install -d $(DESTDIR)$(BINDIR)
	install -p -t $(DESTDIR)$(BINDIR) utils/fcaption

	install -d $(DESTDIR)$(APPDIR)
	install -p -t $(DESTDIR)$(APPDIR) utils/fcaption.desktop

## fgallery 1.8.1

=== debian/changelog ===
fgallery (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to use xz compression.
  * Add minified mootools files to Files-Excluded in debian/copyright.
  * Add a description of the -c option to the manpage.

 -- Guus Sliepen <guus@debian.org>  Sun, 07 Feb 2016 14:58:13 +0100

fgallery (1.7+10-gd2fb0d1-1) unstable; urgency=low

  * Initial release (Closes: #806748)
  * Remove minified mootools-core and mootools-more sources, symlink to files
    from libjs-mootools instead.
  * Dereference symlinks when installing support files in a gallery.
  * Don't curse when JavaScript is disabled.
  * Add a manpage.
  * Add copyright information for mootools-idle and mootools-mooswipe.

 -- Guus Sliepen <guus@debian.org>  Sat, 05 Dec 2015 15:35:01 +0100

=== debian/control ===
Source: fgallery
Section: web
Priority: optional
Maintainer: Guus Sliepen <guus@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://www.thregr.org/~wavexx/software/fgallery/

Package: fgallery
Architecture: all
Depends: ${misc:Depends}, libimage-exiftool-perl, libjson-perl, imagemagick, exiftran | libjpeg-turbo-progs, libjs-mootools (>= 1.4)
Suggests: jpegoptim, pngcrush, liblcms2-utils
Description: static HTML+JavaScript photo album generator
 “fgallery” is a static photo gallery generator with no frills that has a
 stylish, minimalist look. “fgallery” shows your photos, and nothing else.
 .
 There is no server-side processing, only static generation. The resulting
 gallery can be uploaded anywhere without additional requirements and works with
 any modern browser.
 .
  * Automatically orients pictures without quality loss.
  * Multi-camera friendly: automatically sorts pictures by time: just throw your
    (and your friends) photos and movies in a directory. The resulting gallery
    shows the pictures in seamless shooting order.
  * Adapts to the current screen size and proportions, switching from
    horizontal/vertical layout and scaling thumbnails automatically.
  * Includes original (raw) pictures in a zip file for downloading.
  * Panoramas can be seen full-size by default.

## fgallery 1.8.2

=== debian/changelog ===
fgallery (1.8.2-2) unstable; urgency=medium

  * Add missing Depends: zip | p7zip-full. Closes: #854413

 -- Guus Sliepen <guus@debian.org>  Tue, 07 Feb 2017 17:38:53 +0100

fgallery (1.8.2-1) unstable; urgency=medium

  * New upstream release.
    - The manual page is now included upstream.
  * Move liblcms2-utils to Recommends, because by default fgallery wants to do
    color correction.
  * Add facedetect to Suggests.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sun, 29 May 2016 11:12:34 +0200

=== debian/watch ===
version=3
opts="compression=xz" \
http://www.thregr.org/~wavexx/software/fgallery/releases/ fgallery-(\d.*)\.zip

## fgallery 1.9.0~geo1+ds

=== debian/changelog ===
fgallery (1.9.0~geo1+ds-1) unstable; urgency=medium

  [ Daniel Lenharo de Souza ]
  * New Maintainer. (Closes: #963920)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added a VCS (Git) to control the package.
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright: added my name and email address.
  * debian/patches:
      - Inserted missing headers.
      - Created '30-Fix-interpreter-patch'.
      - Removed not used patch 'dont-install-symlinks'.
  * debian/rules: removed unnecessary lines.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped to version 4.
      - Changed the source to use secure URI.

  [ Andreas Tille ]
  * Add myself to Uploaders
  * Add +ds to upstream source version since we use stripped down upstream
    tarball
  * Upgrade to 1.9.0~geo1
    Closes: #821926
  * Move facedetect to Recommends since it is used in normal setups
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 03 Apr 2022 10:49:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,29 @@
 Source: fgallery
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Daniel Lenharo de Souza <lenharo@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: web
 Priority: optional
-Maintainer: Guus Sliepen <guus@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/fgallery
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/fgallery.git
 Homepage: http://www.thregr.org/~wavexx/software/fgallery/
+Rules-Requires-Root: no
 
 Package: fgallery
 Architecture: all
-Depends: ${misc:Depends}, libimage-exiftool-perl, libjson-perl, imagemagick, exiftran | libjpeg-turbo-progs, libjs-mootools (>= 1.4)
-Suggests: jpegoptim, pngcrush, liblcms2-utils
+Depends: ${misc:Depends},
+         libimage-exiftool-perl,
+         libjson-perl,
+         imagemagick,
+         exiftran | libjpeg-turbo-progs,
+         libjs-mootools,
+         zip | p7zip-full
+Recommends: liblcms2-utils,
+            facedetect
+Suggests: jpegoptim,
+          pngcrush
 Description: static HTML+JavaScript photo album generator
  “fgallery” is a static photo gallery generator with no frills that has a
  stylish, minimalist look. “fgallery” shows your photos, and nothing else.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

## fgallery 1.9.1%2Bds

=== debian/changelog ===
fgallery (1.9.1+ds-2) unstable; urgency=medium

  * Install fcaption + Depends: python3
    Closes: #1026295
  * Replace p7zip-full by 7zip and put it even as first alternative
    Closes: #1063566

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2024 12:15:01 +0100

fgallery (1.9.1+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Use secure URI in Homepage field.
  * Provide Geolocation as patch to new upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jan 2023 10:30:49 +0100

## fgallery 1.9.1+ds

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
 Section: web
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/fgallery
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/fgallery.git
-Homepage: http://www.thregr.org/~wavexx/software/fgallery/
+Homepage: https://www.thregr.org/~wavexx/software/fgallery/
 Rules-Requires-Root: no
 
 Package: fgallery
 Architecture: all
 Depends: ${misc:Depends},
+         python3,
          libimage-exiftool-perl,
          libjson-perl,
          imagemagick,
          exiftran | libjpeg-turbo-progs,
          libjs-mootools,
-         zip | p7zip-full
+         7zip | zip
 Recommends: liblcms2-utils,
             facedetect
 Suggests: jpegoptim,

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=auto,compression=xz" \
https://www.thregr.org/~wavexx/software/fgallery/releases/ fgallery-(\d.*)\.zip
